package com.bonus.material.task.service;

import java.util.List;
import com.bonus.material.task.domain.TmTaskAuditLog;
import com.bonus.material.task.domain.TmTaskAuditResult;

/**
 * 任务Service接口
 * 
 * @author xsheng
 * @date 2024-10-18
 */
public interface ITmTaskAuditLogService {
    /**
     * 查询任务
     * 
     * @param id 任务主键
     * @return 任务
     */
    public TmTaskAuditLog selectTmTaskAuditLogsById(Long id);

    /**
     * 查询任务列表
     * 
     * @param tmTaskAuditLog 任务
     * @return 任务集合
     */
    public List<TmTaskAuditLog> selectTmTaskAuditLogsList(TmTaskAuditLog tmTaskAuditLog);

    /**
     * 查询任务列表已审核的RoleKeys
     *
     * @param tmTaskAuditLog 任务
     * @return 任务集合
     */
    public List<String> selectTmTaskAuditRoleList(TmTaskAuditLog tmTaskAuditLog);

    /**
     * 新增任务
     * 
     * @param tmTaskAuditLog 任务
     * @return 结果
     */
    public int insertTmTaskAuditLogs(TmTaskAuditLog tmTaskAuditLog);

    /**
     * 修改任务
     * 
     * @param tmTaskAuditLog 任务
     * @return 结果
     */
    public int updateTmTaskAuditLogs(TmTaskAuditLog tmTaskAuditLog);

    /**
     * 批量删除任务
     * 
     * @param ids 需要删除的任务主键集合
     * @return 结果
     */
    public int deleteTmTaskAuditLogsByIds(Long[] ids);

    /**
     * 删除任务信息
     * 
     * @param id 任务主键
     * @return 结果
     */
    public int deleteTmTaskAuditLogsById(Long id);

    public TmTaskAuditResult getAuditResult(TmTaskAuditLog tmTaskAuditLog);
}
